# Proxy realization via apache
class osnailyfacter::apache_api_proxy(
  $master_ip,
) {

  # Allow connection to the apache for ostf tests
  firewall {'007 tinyproxy':
    dport   => [ 8888 ],
    source  => $master_ip,
    proto   => 'tcp',
    action  => 'accept',
  }

  class {"::apache::mod::proxy": }
  class {"::apache::mod::proxy_connect": }
  class {"::apache::mod::proxy_http": }

  apache::vhost { 'apache_api_proxy':
    docroot          => '/var/www/html',
    custom_fragment  => template('osnailyfacter/api_proxy.conf.erb'),
    port             => '8888',
    add_listen       => true,
    error_log_syslog => 'syslog:local0',
    log_level        => 'notice',
  }
}
